<?php
/**
 * Single variation cart button
 *
 * @see https://woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 10.5.2
 */

defined( 'ABSPATH' ) || exit;

global $product;
?>
<div class="woocommerce-variation-add-to-cart variations_button">
	<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>

	<?php
	do_action( 'woocommerce_before_add_to_cart_quantity' );

	woocommerce_quantity_input(
		array(
			'min_value'   => $product->get_min_purchase_quantity(),
			'max_value'   => $product->get_max_purchase_quantity(),
			'input_value' => isset( $_POST['quantity'] ) ? wc_stock_amount( wp_unslash( $_POST['quantity'] ) ) : $product->get_min_purchase_quantity(), // WPCS: CSRF ok, input var ok.
		)
	);

	do_action( 'woocommerce_after_add_to_cart_quantity' );

	$button_classes = 'single_add_to_cart_button button alt jupiterx-icon-shopping-cart-6';
	$theme_button_class = wc_wp_theme_get_element_class_name( 'button' );
	if ( $theme_button_class ) {
		$button_classes .= ' ' . $theme_button_class;
	}

	$add_to_cart_button = '<button type="submit" class="' . esc_attr( $button_classes ) . '">' . esc_html( $product->single_add_to_cart_text() ) . '</button>';

	$add_to_cart_button = apply_filters(
		'jupiterx_add_to_cart_variation_button',
		array(
			'text'   => $product->single_add_to_cart_text(),
			'button' => $add_to_cart_button,
		)
	);

	echo $add_to_cart_button['button'];
	?>
	<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>

	<input type="hidden" name="add-to-cart" value="<?php echo absint( $product->get_id() ); ?>" />
	<input type="hidden" name="product_id" value="<?php echo absint( $product->get_id() ); ?>" />
	<input type="hidden" name="variation_id" class="variation_id" value="0" />
</div>
